Bug 20009 - use Modern::Perl in Members perl scripts
Summary: use Modern::Perl in Members perl scripts
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Te Rauhina Jackson
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks: 2505
  Show dependency treegraph
 
Reported: 2018-01-17 19:44 UTC by Aleisha Amohia
Modified: 2018-02-16 00:58 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 20009 - use Modern::Perl in Members perl scripts (9.39 KB, patch)
2018-01-18 03:47 UTC, Te Rauhina Jackson
Details | Diff | Splinter Review
Bug 20009 - use Modern::Perl in Members perl scripts (9.39 KB, patch)
2018-01-24 18:22 UTC, Jon Knight
Details | Diff | Splinter Review
Bug 20009 - use Modern::Perl in Members perl scripts (9.45 KB, patch)
2018-01-24 18:35 UTC, Jon Knight
Details | Diff | Splinter Review
Bug 20009: use Modern::Perl in Members perl scripts (9.63 KB, patch)
2018-02-04 13:35 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2018-01-17 19:44:23 UTC
use Modern::Perl should be used instead of use strict; use warnings;

Relevant in:
boraccount.pl
default_messageprefs.pl
deletemem.pl
files.pl
mancredit.pl
maninvoice.pl
member-flags.pl
member-password.pl
memberentry.pl
members-home.pl
members-update-do.pl
moremember.pl
notices.pl
pay.pl
paycollect.pl
printfeercpt.pl
printinvoice.pl
printslip.pl
readingrec.pl
routing-lists.pl
setstatus.pl
update-child.pl
Comment 1 Te Rauhina Jackson 2018-01-18 03:47:07 UTC
Created attachment 70676 [details] [review]
Bug 20009 - use Modern::Perl in Members perl scripts

Test Plan:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

boraccount.pl
default_messageprefs.pl
deletemem.pl
files.pl
mancredit.pl
maninvoice.pl
member-flags.pl
member-password.pl
memberentry.pl
members-home.pl
members-update-do.pl
moremember.pl
notices.pl
pay.pl
paycollect.pl
printfeercpt.pl
printinvoice.pl
printslip.pl
readingrec.pl
routing-lists.pl
setstatus.pl
update-child.pl
Comment 2 Jon Knight 2018-01-24 18:22:54 UTC
Created attachment 70887 [details] [review]
Bug 20009 - use Modern::Perl in Members perl scripts

Test Plan:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

boraccount.pl
default_messageprefs.pl
deletemem.pl
files.pl
mancredit.pl
maninvoice.pl
member-flags.pl
member-password.pl
memberentry.pl
members-home.pl
members-update-do.pl
moremember.pl
notices.pl
pay.pl
paycollect.pl
printfeercpt.pl
printinvoice.pl
printslip.pl
readingrec.pl
routing-lists.pl
setstatus.pl
update-child.pl
Comment 3 Jon Knight 2018-01-24 18:35:30 UTC
Created attachment 70892 [details] [review]
Bug 20009 - use Modern::Perl in Members perl scripts

Test Plan:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

boraccount.pl
default_messageprefs.pl
deletemem.pl
files.pl
mancredit.pl
maninvoice.pl
member-flags.pl
member-password.pl
memberentry.pl
members-home.pl
members-update-do.pl
moremember.pl
notices.pl
pay.pl
paycollect.pl
printfeercpt.pl
printinvoice.pl
printslip.pl
readingrec.pl
routing-lists.pl
setstatus.pl
update-child.pl

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>
Comment 4 Katrin Fischer 2018-02-04 13:35:18 UTC
Created attachment 71190 [details] [review]
Bug 20009: use Modern::Perl in Members perl scripts

Test Plan:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

boraccount.pl
default_messageprefs.pl
deletemem.pl
files.pl
mancredit.pl
maninvoice.pl
member-flags.pl
member-password.pl
memberentry.pl
members-home.pl
members-update-do.pl
moremember.pl
notices.pl
pay.pl
paycollect.pl
printfeercpt.pl
printinvoice.pl
printslip.pl
readingrec.pl
routing-lists.pl
setstatus.pl
update-child.pl

Signed-off-by: Jon Knight <J.P.Knight@lboro.ac.uk>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2018-02-05 12:59:20 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-02-16 00:58:48 UTC
Awesome work all! Enhancement not backported to stable.